Subject: Re: bug#50266: 28.0.50; expand-file-name broken with non ASCII characters

From: Joakim Hårsman <[email-masked]>
Date: Sat, 11 Sep 2021 12:41:58 +0200

Sorry, I haven’t had the time to do a build and try your fix yet. Last time
I used a snapshot someone  else built, so I have to install all the build
tools first.

tors 9 sep. 2021 kl. 19:18 skrev Eli Zaretskii <[email-masked]>:

> Ping!  Did you have time to try the fixed code now in the master
> branch?
>
> > Resent-From: Eli Zaretskii <[email-masked]>
> > Original-Sender: "Debbugs-submit" <
> [email-masked]>
> > Resent-CC: [email-masked]
> > Resent-Sender: [email-masked]
> > Date: Thu, 02 Sep 2021 18:50:28 +0300
> > From: Eli Zaretskii <[email-masked]>
> > Cc: [email-masked]
> >
> > > Date: Mon, 30 Aug 2021 16:41:04 +0300
> > > From: Eli Zaretskii <[email-masked]>
> > > Cc: [email-masked]
> > >
> > > > From: Joakim Hårsman <[email-masked]>
> > > > Date: Mon, 30 Aug 2021 15:36:06 +0200
> > > >
> > > > No wait, scratch that. Emacs -Q has the same error. I accidentally
> started 27.2 where it works.
> > > >
> > > > On Mon, 30 Aug 2021 at 15:34, Joakim Hårsman <
> [email-masked]> wrote:
> > > >
> > > >  emacs -Q works and returns the correct file name.
> > >
> > > OK, thanks.  I guess we don't decode the file name somewhere.  Hmm...
> >
> > Please try the latest master branch, I hope I fixed this.
> >
> >
> >
> >
>